rte_bbdev_op_turbo_enc(3)

NAME
rte_bbdev_op_turbo_enc

SYNOPSIS

#include <rte_bbdev_op.h>

  Data Fields

struct rte_bbdev_op_data input
struct rte_bbdev_op_data output
uint32_t op_flags
uint8_t rv_index
uint8_t code_block_mode

Detailed Description

Operation structure for Turbo encode. An operation can be performed on one CB at a time "CB-mode". An operation can pbe erformd on one or multiple CBs that logically belong to one TB "TB-mode".

In CB-mode, CRC24A/B is an optional operation. K size parameter is not affected by CRC24A/B inclusion, this only affects the inbound mbuf data length. Not all BBDEV PMDs are capable of CRC24A/B calculation. Flags RTE_BBDEV_TURBO_CRC_24A_ATTACH and RTE_BBDEV_TURBO_CRC_24B_ATTACH informs the application with relevant capability. These flags can be set in the op_flags parameter to indicate BBDEV to calculate and append CRC24A to CB before going forward with Turbo encoding.

In TB-mode, CRC24A is assumed to be pre-calculated and appended to the inbound TB mbuf data buffer.

The output mbuf data structure is expected to be allocated by the application with enough room for the output data.

Definition at line 681 of file rte_bbdev_op.h.

Field Documentation

  struct rte_bbdev_op_data input
The input CB or TB data

Definition at line 683 of file rte_bbdev_op.h.

  struct rte_bbdev_op_data output
The rate matched CB or TB output buffer

Definition at line 685 of file rte_bbdev_op.h.

  uint32_t op_flags
Flags from rte_bbdev_op_te_flag_bitmasks

Definition at line 687 of file rte_bbdev_op.h.

  uint8_t rv_index
Rv index for rate matching [0:3]

Definition at line 690 of file rte_bbdev_op.h.

  uint8_t code_block_mode
[0 - TB : 1 - CB]

Definition at line 692 of file rte_bbdev_op.h.

  struct rte_bbdev_op_enc_turbo_cb_params cb_params
Struct which stores Code Block specific parameters

Definition at line 695 of file rte_bbdev_op.h.

  struct rte_bbdev_op_enc_turbo_tb_params tb_params
Struct which stores Transport Block specific parameters

Definition at line 697 of file rte_bbdev_op.h.

Author

Generated automatically by Doxygen for DPDK from the source code.